libgtksourceviewmm: gtksourceview::SourceLanguage Class Reference

# gtksourceview::SourceLanguage Class Reference

The abstraction of a language. More...

`#include <sourcelanguage.h>`

List of all members.

## Public Types
typedef SourceLanguage | CppObjectType
typedef SourceLanguage_Class | CppClassType
typedef GtkSourceLanguage | BaseObjectType
typedef GtkSourceLanguageClass | BaseClassType
## Public Member Functions
virtual | ~SourceLanguage ()
GtkSourceLanguage * | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceLanguage * | gobj () const
| Provides access to the underlying C GObject.
GtkSourceLanguage * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_id () const
| get language ID
Glib::ustring | get_name () const
| gets the localized name of the language.
Glib::ustring | get_section () const
| the localized section of the language.
gboolean | get_hidden () const
| Whether the language should be hidden from the user.
Glib::StringArrayHandle | get_mime_types () const
| gets the list of mime types for the given language.
Glib::StringArrayHandle | get_globs () const
Glib::StringArrayHandle | get_style_ids () const
Glib::ustring | get_style_name (const Glib::ustring &style_id) const
Glib::ustring | get_metadata (const Glib::ustring &name) const
## Static Public Member Functions
static GType | get_type () G_GNUC_CONST
static GType | get_base_type () G_GNUC_CONST
static Glib::RefPtr < SourceLanguage > | create ()
| create a language.
## Protected Member Functions
| SourceLanguage (const Glib::ConstructParams &construct_params)
| SourceLanguage (GtkSourceLanguage *castitem)
| SourceLanguage ()
## Friends
class | SourceLanguage_Class
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceLanguage > | wrap (GtkSourceLanguage *object, bool take_copy=false)

## Detailed Description

The abstraction of a language.

Languages are used in the syntax highlighting workflow.

## Member Typedef Documentation

typedef SourceLanguage gtksourceview::SourceLanguage::CppObjectType

typedef SourceLanguage_Class gtksourceview::SourceLanguage::CppClassType

typedef GtkSourceLanguage gtksourceview::SourceLanguage::BaseObjectType

typedef GtkSourceLanguageClass gtksourceview::SourceLanguage::BaseClassType

## Constructor & Destructor Documentation

gtksourceview::SourceLanguage::SourceLanguage | ( | const Glib::ConstructParams & | construct_params | ) | `[explicit, protected]`

gtksourceview::SourceLanguage::SourceLanguage | ( | GtkSourceLanguage * | castitem | ) | `[explicit, protected]`

virtual gtksourceview::SourceLanguage::~SourceLanguage | ( |  | ) | `[virtual]`

gtksourceview::SourceLanguage::SourceLanguage | ( |  | ) | `[protected]`

## Member Function Documentation

static GType gtksourceview::SourceLanguage::get_type | ( |  | ) | `[static]`

static GType gtksourceview::SourceLanguage::get_base_type | ( |  | ) | `[static]`

GtkSourceLanguage* gtksourceview::SourceLanguage::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const GtkSourceLanguage* gtksourceview::SourceLanguage::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GtkSourceLanguage* gtksourceview::SourceLanguage::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::RefPtr<SourceLanguage> gtksourceview::SourceLanguage::create | ( |  | ) | `[static]`

create a language.

Returns:
  the newly created language

Glib::ustring gtksourceview::SourceLanguage::get_id | ( |  | ) | const

get language ID

a language ID is unique among language IDs.

Returns:
  the langugae ID. Returns: the ID of language.

  The ID of language. The returned string is owned by language and should not be freed or modified.

Glib::ustring gtksourceview::SourceLanguage::get_name | ( |  | ) | const

gets the localized name of the language.

Returns:
  the localized name of the language Returns: the name of language.

  The name of language. The returned string is owned by language and should not be freed or modified.

Glib::ustring gtksourceview::SourceLanguage::get_section | ( |  | ) | const

the localized section of the language.

Each language belong to a section (ex. HTML belogs to the Markup section).

Returns:
  the localized section of the language. Returns: the section of language.

  The section of language. The returned string is owned by language and should not be freed or modified.

gboolean gtksourceview::SourceLanguage::get_hidden | ( |  | ) | const

Whether the language should be hidden from the user.

Returns:
  true if the language should be hidden, false otherwise. Returns: `true` if the language should be hidden, `false` otherwise.

  `true` if the language should be hidden, `false` otherwise.

Glib::StringArrayHandle gtksourceview::SourceLanguage::get_mime_types | ( |  | ) | const

gets the list of mime types for the given language.

After usage you should free each element of the list as well as the list itself.

Returns:
  the list of mime types for the given language. Returns: a newly-allocated `0` terminated array containing

  A newly-allocated `0` terminated array containing the mime types or `0` if no mime types are found. The returned array must be freed with Glib::strfreev().

Glib::StringArrayHandle gtksourceview::SourceLanguage::get_globs | ( |  | ) | const

Returns: a newly-allocated `0` terminated array containing

Returns:
  A newly-allocated `0` terminated array containing the globs or `0` if no globs are found. The returned array must be freed with Glib::strfreev().

Glib::StringArrayHandle gtksourceview::SourceLanguage::get_style_ids | ( |  | ) | const

Returns: a `0` terminated array containing

Returns:
  A `0` terminated array containing ids of the styles defined by this language or `0` if no style is defined. The returned array must be freed with Glib::strfreev().

Glib::ustring gtksourceview::SourceLanguage::get_style_name | ( | const Glib::ustring & | style_id | ) | const

Returns: the name of the style with ID style_id defined by this language or

Parameters:

  | style_id | A style ID.

Returns:
  The name of the style with ID style_id defined by this language or `0` if the style has no name or there is no style with ID style_id defined by this language. The returned string is owned by the language and must not be modified.

Glib::ustring gtksourceview::SourceLanguage::get_metadata | ( | const Glib::ustring & | name | ) | const

Parameters:

  | name | Metadata property name.

Returns:
  Value of property name stored in the metadata of language or `0` if language doesn't contain that metadata property. The returned string is owned by language and should not be freed or modified.

## Friends And Related Function Documentation

friend class SourceLanguage_Class`[friend]`

Glib::RefPtr< gtksourceview::SourceLanguage > wrap | ( | GtkSourceLanguage * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- sourcelanguage.h